@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

* {
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Roboto', sans-serif;
  background-image: linear-gradient(90deg, #7D5FFF, #7158E2);
  overflow: hidden;
}

.search {
  position: relative;
  block-size: 3.5rem;
}

.search .input {
  padding: 1rem;
  inline-size: 3rem;
  block-size: 3rem;

  border: 0;
  font-size: 1.25rem;
  background-color: #FFF;
  transition: width .3s ease;
}

.btn {
  position: absolute;
  top: 0;
  left: 0;
  inline-size: 3rem;
  block-size: 3rem;

  border: 0;
  font-size: 1.5rem;
  background-color: #FFF;
  cursor: pointer;
  transition: transform .3s ease;
}

.btn:focus,
.input:focus {
  outline: none;
}

.search.active .input {
  width: 200px;
}

.search.active .btn {
  transform: translateX(198px);
}